make add-... for a model dependency on model driver

It would be cool if make add-… for a model knew it was dependent on a particular model driver, and instead of just complaining when it’s not installed, install it automatically.

Noam

Hi Noam,

Yes, in fact this should work now. There was a bug in 1.6.2 that caused the driver download to fail. 1.6.3 should have fixed this.

As a side note, I should mention for anyone reading the mailing list that the KIM API “make add-” feature only works with KIM Models and Model Drivers. The KIM API does not treat openkim.org Tests any differently than any other Simulator; thus, it does not have special features for downloading Tests…

Cheers,

Ryan